# Class CIM_J2eeManagedObjectCapabilities
extends CIM_Capabilities

CIM_J2eeManagedObjectCapabilities is a class for defining additional capabilities of J2EE managed objects. It contains the attributes that are common to all J2EE managed objects. These common attributes are mapped to the corresponding J2EE classes using the CIM_ElementCapabilities association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_J2eeManagedObjectCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | CIM_J2eeManagedObjectCapabilities is a class for defining additional capabilities of J2EE managed objects. It contains the attributes that are common to all J2EE managed objects. These common attributes are mapped to the corresponding J2EE classes using the CIM_ElementCapabilities association.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ElementName | string |
Description | string | The name of a J2EE managed object. The name MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.1 objectName|V1.0
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_J2eeManagedObjectCapabilities.InstanceID
Override | string | ElementName
Required | boolean | true
EventProvider | boolean |
Description | string | A property that indicates whether the managed object implements the event provider model as defined in the Events chapter of the JSR77 specification. A value of true indicates that the managed object implements the event provider interface. A value of false indicates that the managed object does not implement the event provider interface.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.4 eventProvider|V1.0
InstanceID | string |
Description | string | InstanceID identifies a unique instance of a J2EE ManagedObject's Capabilities in a given namespace. In order to ensure uniqueness, the value of InstanceID MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
Key | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.1 objectName|V1.0
ModelCorrespondence | string | CIM_J2eeManagedObjectCapabilities.ElementName
Override | string | InstanceID
StateManageable | boolean |
Description | string | A property that indicates whether the managed object implements the state management model as defined in State Management chapter of the JSR77 specification. A value of true indicates that the managed object implements the state management interface. A value of false indicates that the managed object does not implement the state management interface.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.2 stateManageable|V1.0
StatisticsProvider | boolean |
Description | string | A property that indicates whether the managed object implements the statistics provider model as defined in Performance Monitoring chapter of the JSR77 specification. A value of true indicates that the managed object implements the statistics provider interface. A value of false indicates that the managed object does not implement the statistics provider interface.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.3 statisticsProvider|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement

## Class Methods